# Generated by Django 4.2 on 2023-05-16 06:41

import common.utils
import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("contracts", "0012_contract_phone_number"),
    ]

    operations = [
        migrations.AddField(
            model_name="contract",
            name="contract_signed_copy",
            field=models.FileField(
                blank=True,
                default=None,
                null=True,
                upload_to=common.utils.UploadToPathAndRename(
                    "contracts/", "contract_signature_copy_"
                ),
                validators=[
                    django.core.validators.FileExtensionValidator(
                        ["jpg", "jpeg", "png", "pdf", "docx"]
                    ),
                    common.utils.MaxSizeValidator("10MB"),
                ],
            ),
        ),
        migrations.AlterField(
            model_name="contract",
            name="status",
            field=models.CharField(
                choices=[
                    ("Proposed", "Proposed"),
                    ("Acknowledged", "Acknowledged"),
                    ("Employee Submitted", "Employee Submitted"),
                    ("Employee Resubmit", "Employee Resubmit"),
                    ("Contract Drafting", "Contract Drafting"),
                    ("Contract Redrafting", "Contract Redrafting"),
                    ("Contract Draft Review", "Contract Draft Review"),
                    ("Contract Drafted", "Contract Drafted"),
                    ("Signed", "Signed"),
                ],
                default="Proposed",
                max_length=50,
            ),
        ),
    ]
